TAU_GET_FUNC_NAMES(3)

Name
TAU_GET_FUNC_NAMES - Gets the function names

Synopsis

C/C++:

TAU_GET_FUNC_NAMES(char **functionList, int numFuncs);

Description

This macro fills the funcList argument with the list of timer and routine names. It also records the number of routines active in the numFuncs argument.

Example

C/C++ :

      const char ** functionList;
      int numOfFunctions;
      TAU_GET_FUNC_NAMES(functionList, numOfFunctions);
      for(int i=0;i<numOfFunctions;i++){
        cout << "This function names so far are: " << functionList[i] << endl;
      }

Python:

    import pytau
    pytau.getFuncNames(functionList, numOfFunctions)

See Also

TAU_GET_COUNTER_NAMES(3), TAU_GET_FUNC_VALS(3), TAU_DUMP_FUNC_NAMES(3), TAU_DUMP_FUNC_VALS(3)